## Lemurian
Adds a playable Lemurian to the Game, that is able to transform into an Elder Lemurian.

##Disclamier
** Transform using "T" key now.** 
** Join my Discord for discussion about Lemurian and Imp: https://discord.gg/s4QpuW**

## Multiplayer
- There shouldn't be any more isses

##Fire Buff, Gameplay and Tips
As a master of fire, the Lemurian is able to build up a buff that increases the chance to ignite enemies on hit. Every stack increases the chance for 1%. 
Some abilities also gain a damage buff in different kind of ways. You gain a Fire Buff stack for every enemy hit, that lasts for 15 seconds.

When having aquired 375 Fire Buff stacks on one stage, you get the Switch Buff. For this you have an additional buff, that indicates how many Fire Buff stacks you have already aquired.
Having the Switch Buff ready, you are able to transform into an Elder Lemurian. You are then able to use a limited amount of strong skills. You can switch back all the time by using the special skill.
**To switch, just press "T" key**

## Abilities
**Primary**
`Fireball:` (0,45s base duration)
Shoot a fireball that deals 175% damage. 
- Projectile speed scales with Fire Buff stacks (base speed = 75, every stack increases it by 1, so 75 stacks double the speed)

`Fire Roar:` (1s base duration)
Fire 3 consecutive explosions in front of you, dealing 150% damage each. Gain Armor boost while using. 
- Explosions are cast at 2,5m - 5m - 7,5m fixed distance with a 3m base blast radius, that increases with more Fire Buff stacks (200 stacks = 3m -> 6m)
- You can still sprint while using this ability, also grants healing buff on third explosion, when hitting enemies

`Laser:` (5 ticks/s)
Fire a laser that deals 60% damage each tick. Explodes on impact within a 3m radius.
- Scaled to not grant a Fire Buff stack on every hit. (base every 0,5s, that shortens with more attack speed you have)
- has a small aim support

**Secondary**
`Fireballs:` (0,3s base duration - 5s cooldown)
Shoot 5 Fire Balls that deal 300% damage each. 
- Projectiles spread horizontally and have a 2.5m blast radius

`Flameburst:` (0,5s base duration - 5s cooldown)
Fire 5 fast Fire Balls that deal 200% damage each. Shoot more balls the more Fire Buff stacks you have (1 ball for every 15 stacks - Maximum 10 bullets). 
- Projectiles have no spread and a 2.5m blast radius

`Exploding Fire Ball` (0,5s base duration - 3s cooldown - base charge count = 2)
Fire a fire ball that explodes on hit, dealing 500% damage within a 10m radius. 
- Projectile is affected by gravity

**Utility**
`Fiery Leap:` (... - 5s cooldown)
Leap to the enemy and and burn the ground on impact. The impact does 500% damage and pulls enemies into the burning zone and slows them down. Every tick does 50% damage (15 Ticks in 3s - leading up to possible 1250% damage). 
- Has a 12,5m impact blast radius

`Detonation:` (... - 7,5s cooldown)
Cast an explosion that deals 1250% damage in a 1m - 12,5m radius (75m maximum distance).
- Radius starts at 1m and grows to 12,5m in 2s. Attackspeed lowers the time to a minimum of 0,5s

**Special**
`Flamebreath:` (2,5s base duration - 7.5s cooldown)
Fire a flamebreath that deals 50% damage per tick for 2,5 seconds (20 ticks/s). Every Firebuff stack increases the tick count. Every bullet fired increases the ignite percentage by 1%. Gain armor boost while using Flamebreath. (35m maximum distance)
- You get slowed down while firing, but also gain an armor boost and more charactermass to better withstand enemy attacks
- Hold down button for use, cancelled by releasing button

`Explosion:` (2s base charge duration - 8s cooldown)
Explode and deal 2500% damage in a 25m radius. Damage and radius increase (1% damage and 0.1m radius) for every Fire Buff stack.
- Charge duration reduces with attack speed
- You get slowed down while charging up, but also gain an armor boost and more charactermass to better withstand enemy attacks

`Summon` (15s duration - 25s cooldown)
Summon a horde of Lemurians that help you for 15s.
- The base damage of the Lemurians is 50% of your own damage stat and increases with Fire Buff Stacks (1% for every Fire Buff stack)
- They are also able to crit, based on your crit percentage


## Known Issues
- `Flame Breath` on client has a little lag regarding projectile spawnlocation, on static enemies this doesn't really matter though
- `Summon`ed Lemurians may need to be attacked first to fight back 

## Contact Me
You can contact me on discord (@Tymmey#6213). I'd really appreciate any feedback regarding bugs, balancing and ideas :)

##To Do
- more item displays?...maybe..

## Changelog
`6.1.2`
- changed some `Flame Breath` effects
- you don't need weird key combinations. Transform using "T" key now.

`6.1.0`
- base crit chance now 1%
- changed `Summon` behaviour, instead of more minions, the 5 minions will get stronger. also made them little, duration and cooldown increased to 15s and 25s
- added keywords, descriptions, lore, ending message and tips
- added Lunar Skin



## Big Thanks
**Thanks to harb and ideath for helping me with multiplayer stuff!**
Big thanks to [LuaFubuki](https://thunderstore.io/package/LuaFubuki/) for answering some of my questions and actually (indirectly) got me into modding, since I really loved his VoidReaver mod (especialy the secondary attack). Somehow one of Lemurian's utility skill is influenced by this one.
And for helping me fix stuff, Item Displays and and and... thanks to [Rob](https://thunderstore.io/package/rob/).
Another big thanks to [Gnome](https://thunderstore.io/package/Gnome/) for giving me lots of productive feedback, especially for the primary skills :) Check out his Miner Mod!
Also thanks to [Moffein](https://thunderstore.io/package/Moffein/) for helping me with some networking stuff.
